| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions
Tp::PendingFailure Class Reference
Utililty classes

The PendingFailure class represents a PendingOperation that always fails with the error passed to the constructor. More...

`#include <TelepathyQt/PendingFailure>`

Inherits Tp::PendingOperation.

List of all members.

## Public Member Functions

- PendingFailure (const QString &name, const QString &message, const SharedPtr< RefCounted > &object)
- PendingFailure (const QDBusError &error, const SharedPtr< RefCounted > &object)

## Detailed Description

The PendingFailure class represents a PendingOperation that always fails with the error passed to the constructor.

## Constructor & Destructor Documentation

Tp::PendingFailure::PendingFailure | ( | const QString & | name,
|  | const QString & | message,
|  | const SharedPtr< RefCounted > & | object
| ) |  | `[inline]`

Tp::PendingFailure::PendingFailure | ( | const QDBusError & | error,
|  | const SharedPtr< RefCounted > & | object
| ) |  | `[inline]`